| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Stream read
Load/Store Operations » Streams

## Read 32-bit streams
int | get_ss ()
| Read a 32-bit value to the input stream port.
int | get_ss (bool &tlast)
| Read a 32-bit value to the input stream port.
int | get_ss_nb (bool &success)
| Read a 32-bit value to the input stream port. Non-blocking read.
int | get_ss_nb (bool &success, bool &tlast)
| Read a 32-bit value to the input stream port. Non-blocking read.
float | getf_ss ()
| Read a 32-bit value to the input stream port.
float | getf_ss (bool &tlast)
| Read a 32-bit value to the input stream port.
float | getf_ss_nb (bool &success)
| Read a 32-bit value to the input stream port. Non-blocking read.
float | getf_ss_nb (bool &success, bool &tlast)
| Read a 32-bit value to the input stream port. Non-blocking read.
int | get_ss_int ()
| Read a 32-bit value to the input stream port.
int | get_ss_int (bool &tlast)
| Read a 32-bit value to the input stream port.
int | get_ss_nb_int (bool &success)
| Read a 32-bit value to the input stream port. Non-blocking read.
int | get_ss_nb_int (bool &success, bool &tlast)
| Read a 32-bit value to the input stream port. Non-blocking read.
unsigned int | get_ss_uint ()
| Read a 32-bit value to the input stream port.
unsigned int | get_ss_uint (bool &tlast)
| Read a 32-bit value to the input stream port.
unsigned int | get_ss_nb_uint (bool &success)
| Read a 32-bit value to the input stream port. Non-blocking read.
unsigned int | get_ss_nb_uint (bool &success, bool &tlast)
| Read a 32-bit value to the input stream port. Non-blocking read.
float | get_ss_float ()
| Read a 32-bit value to the input stream port.
float | get_ss_float (bool &tlast)
| Read a 32-bit value to the input stream port.
float | get_ss_nb_float (bool &success)
| Read a 32-bit value to the input stream port. Non-blocking read.
float | get_ss_nb_float (bool &success, bool &tlast)
| Read a 32-bit value to the input stream port. Non-blocking read.
v8int4 | get_ss_v8int4 ()
| Read a 32-bit value to the input stream port.
v8int4 | get_ss_v8int4 (bool &tlast)
| Read a 32-bit value to the input stream port.
v8int4 | get_ss_nb_v8int4 (bool &success)
| Read a 32-bit value to the input stream port. Non-blocking read.
v8int4 | get_ss_nb_v8int4 (bool &success, bool &tlast)
| Read a 32-bit value to the input stream port. Non-blocking read.
v8uint4 | get_ss_v8uint4 ()
| Read a 32-bit value to the input stream port.
v8uint4 | get_ss_v8uint4 (bool &tlast)
| Read a 32-bit value to the input stream port.
v8uint4 | get_ss_nb_v8uint4 (bool &success)
| Read a 32-bit value to the input stream port. Non-blocking read.
v8uint4 | get_ss_nb_v8uint4 (bool &success, bool &tlast)
| Read a 32-bit value to the input stream port. Non-blocking read.
v4int8 | get_ss_v4int8 ()
| Read a 32-bit value to the input stream port.
v4int8 | get_ss_v4int8 (bool &tlast)
| Read a 32-bit value to the input stream port.
v4int8 | get_ss_nb_v4int8 (bool &success)
| Read a 32-bit value to the input stream port. Non-blocking read.
v4int8 | get_ss_nb_v4int8 (bool &success, bool &tlast)
| Read a 32-bit value to the input stream port. Non-blocking read.
v4uint8 | get_ss_v4uint8 ()
| Read a 32-bit value to the input stream port.
v4uint8 | get_ss_v4uint8 (bool &tlast)
| Read a 32-bit value to the input stream port.
v4uint8 | get_ss_nb_v4uint8 (bool &success)
| Read a 32-bit value to the input stream port. Non-blocking read.
v4uint8 | get_ss_nb_v4uint8 (bool &success, bool &tlast)
| Read a 32-bit value to the input stream port. Non-blocking read.
v2int16 | get_ss_v2int16 ()
| Read a 32-bit value to the input stream port.
v2int16 | get_ss_v2int16 (bool &tlast)
| Read a 32-bit value to the input stream port.
v2int16 | get_ss_nb_v2int16 (bool &success)
| Read a 32-bit value to the input stream port. Non-blocking read.
v2int16 | get_ss_nb_v2int16 (bool &success, bool &tlast)
| Read a 32-bit value to the input stream port. Non-blocking read.
v2uint16 | get_ss_v2uint16 ()
| Read a 32-bit value to the input stream port.
v2uint16 | get_ss_v2uint16 (bool &tlast)
| Read a 32-bit value to the input stream port.
v2uint16 | get_ss_nb_v2uint16 (bool &success)
| Read a 32-bit value to the input stream port. Non-blocking read.
v2uint16 | get_ss_nb_v2uint16 (bool &success, bool &tlast)
| Read a 32-bit value to the input stream port. Non-blocking read.
cint16 | get_ss_cint16 ()
| Read a 32-bit value to the input stream port.
cint16 | get_ss_cint16 (bool &tlast)
| Read a 32-bit value to the input stream port.
cint16 | get_ss_nb_cint16 (bool &success)
| Read a 32-bit value to the input stream port. Non-blocking read.
cint16 | get_ss_nb_cint16 (bool &success, bool &tlast)
| Read a 32-bit value to the input stream port. Non-blocking read.
v2bfloat16 | get_ss_v2bfloat16 ()
| Read a 32-bit value to the input stream port.
v2bfloat16 | get_ss_v2bfloat16 (bool &tlast)
| Read a 32-bit value to the input stream port.
v2bfloat16 | get_ss_nb_v2bfloat16 (bool &success)
| Read a 32-bit value to the input stream port. Non-blocking read.
v2bfloat16 | get_ss_nb_v2bfloat16 (bool &success, bool &tlast)
| Read a 32-bit value to the input stream port. Non-blocking read.
v2float16 | get_ss_v2float16 ()
| Read a 32-bit value to the input stream port.
v2float16 | get_ss_v2float16 (bool &tlast)
| Read a 32-bit value to the input stream port.
v2float16 | get_ss_nb_v2float16 (bool &success)
| Read a 32-bit value to the input stream port. Non-blocking read.
v2float16 | get_ss_nb_v2float16 (bool &success, bool &tlast)
| Read a 32-bit value to the input stream port. Non-blocking read.

## Read 128-bit vector from 32-bit streams
v4int32 | get_ss_v4int32 ()
| Read a 128-bit vector from the input stream port.
v4int32 | get_ss_v4int32 (bool &tlast)
| Read 128 bits as a v4int32 from the input stream port.
v32int4 | get_ss_v32int4 ()
| Read 128 bits as a v32int4 from the input stream port.
v32int4 | get_ss_v32int4 (bool &tlast)
| Read 128 bits as a v32int4 from the input stream port.
v32uint4 | get_ss_v32uint4 ()
| Read 128 bits as a v32uint4 from the input stream port.
v32uint4 | get_ss_v32uint4 (bool &tlast)
| Read 128 bits as a v32uint4 from the input stream port.
v16int8 | get_ss_v16int8 ()
| Read 128 bits as a v16int8 from the input stream port.
v16int8 | get_ss_v16int8 (bool &tlast)
| Read 128 bits as a v16int8 from the input stream port.
v16uint8 | get_ss_v16uint8 ()
| Read 128 bits as a v16uint8 from the input stream port.
v16uint8 | get_ss_v16uint8 (bool &tlast)
| Read 128 bits as a v16uint8 from the input stream port.
v8int16 | get_ss_v8int16 ()
| Read 128 bits as a v8int16 from the input stream port.
v8int16 | get_ss_v8int16 (bool &tlast)
| Read 128 bits as a v8int16 from the input stream port.
v8uint16 | get_ss_v8uint16 ()
| Read 128 bits as a v8uint16 from the input stream port.
v8uint16 | get_ss_v8uint16 (bool &tlast)
| Read 128 bits as a v8uint16 from the input stream port.
v4cint16 | get_ss_v4cint16 ()
| Read 128 bits as a v4cint16 from the input stream port.
v4cint16 | get_ss_v4cint16 (bool &tlast)
| Read 128 bits as a v4cint16 from the input stream port.
v4uint32 | get_ss_v4uint32 ()
| Read 128 bits as a v4uint32 from the input stream port.
v4uint32 | get_ss_v4uint32 (bool &tlast)
| Read 128 bits as a v4uint32 from the input stream port.
v2cint32 | get_ss_v2cint32 ()
| Read 128 bits as a v2cint32 from the input stream port.
v2cint32 | get_ss_v2cint32 (bool &tlast)
| Read 128 bits as a v2cint32 from the input stream port.
v2cfloat | get_ss_v2cfloat ()
| Read 128 bits as a v2cfloat from the input stream port.
v2cfloat | get_ss_v2cfloat (bool &tlast)
| Read 128 bits as a v2cfloat from the input stream port.
v4cbfloat16 | get_ss_v4cbfloat16 ()
| Read 128 bits as a v4cbfloat16 from the input stream port.
v4cbfloat16 | get_ss_v4cbfloat16 (bool &tlast)
| Read 128 bits as a v4cbfloat16 from the input stream port.
v8bfloat16 | get_ss_v8bfloat16 ()
| Read 128 bits as a v8bfloat16 from the input stream port.
v8bfloat16 | get_ss_v8bfloat16 (bool &tlast)
| Read 128 bits as a v8bfloat16 from the input stream port.
v8float16 | get_ss_v8float16 ()
| Read 128 bits as a v8float16 from the input stream port.
v8float16 | get_ss_v8float16 (bool &tlast)
| Read 128 bits as a v8float16 from the input stream port.
v4float | get_ss_v4float ()
| Read 128 bits as a v4float from the input stream port.
v4float | get_ss_v4float (bool &tlast)
| Read 128 bits as a v4float from the input stream port.

## Read 256-bit vector from 32-bit streams
v8int32 | get_ss_v8int32 ()
| Read 256 bits as a v8int32 from the input stream port.
v8int32 | get_ss_v8int32 (bool &tlast)
| Read 256 bits as a v8int32 from the input stream port.
v64int4 | get_ss_v64int4 ()
| Read 256 bits as a v64int4 from the input stream port.
v64int4 | get_ss_v64int4 (bool &tlast)
| Read 256 bits as a v64int4 from the input stream port.
v64uint4 | get_ss_v64uint4 ()
| Read 256 bits as a v64uint4 from the input stream port.
v64uint4 | get_ss_v64uint4 (bool &tlast)
| Read 256 bits as a v64uint4 from the input stream port.
v32int8 | get_ss_v32int8 ()
| Read 256 bits as a v32int8 from the input stream port.
v32int8 | get_ss_v32int8 (bool &tlast)
| Read 256 bits as a v32int8 from the input stream port.
v32uint8 | get_ss_v32uint8 ()
| Read 256 bits as a v32uint8 from the input stream port.
v32uint8 | get_ss_v32uint8 (bool &tlast)
| Read 256 bits as a v32uint8 from the input stream port.
v16int16 | get_ss_v16int16 ()
| Read 256 bits as a v16int16 from the input stream port.
v16int16 | get_ss_v16int16 (bool &tlast)
| Read 256 bits as a v16int16 from the input stream port.
v16uint16 | get_ss_v16uint16 ()
| Read 256 bits as a v16uint16 from the input stream port.
v16uint16 | get_ss_v16uint16 (bool &tlast)
| Read 256 bits as a v16uint16 from the input stream port.
v8cint16 | get_ss_v8cint16 ()
| Read 256 bits as a v8cint16 from the input stream port.
v8cint16 | get_ss_v8cint16 (bool &tlast)
| Read 256 bits as a v8cint16 from the input stream port.
v8uint32 | get_ss_v8uint32 ()
| Read 256 bits as a v8uint32 from the input stream port.
v8uint32 | get_ss_v8uint32 (bool &tlast)
| Read 256 bits as a v8uint32 from the input stream port.
v4cint32 | get_ss_v4cint32 ()
| Read 256 bits as a v4cint32 from the input stream port.
v4cint32 | get_ss_v4cint32 (bool &tlast)
| Read 256 bits as a v4cint32 from the input stream port.
v4cfloat | get_ss_v4cfloat ()
| Read 256 bits as a v4cfloat from the input stream port.
v4cfloat | get_ss_v4cfloat (bool &tlast)
| Read 256 bits as a v4cfloat from the input stream port.
v8cbfloat16 | get_ss_v8cbfloat16 ()
| Read 256 bits as a v8cbfloat16 from the input stream port.
v8cbfloat16 | get_ss_v8cbfloat16 (bool &tlast)
| Read 256 bits as a v8cbfloat16 from the input stream port.
v16bfloat16 | get_ss_v16bfloat16 ()
| Read 256 bits as a v16bfloat16 from the input stream port.
v16bfloat16 | get_ss_v16bfloat16 (bool &tlast)
| Read 256 bits as a v16bfloat16 from the input stream port.
v16float16 | get_ss_v16float16 ()
| Read 256 bits as a v16float16 from the input stream port.
v16float16 | get_ss_v16float16 (bool &tlast)
| Read 256 bits as a v16float16 from the input stream port.
v8float | get_ss_v8float ()
| Read 256 bits as a v8float from the input stream port.
v8float | get_ss_v8float (bool &tlast)
| Read 256 bits as a v8float from the input stream port.

## Read 512-bit vector from 32-bit streams
v16int32 | get_ss_v16int32 ()
| Read 512 bits as a v16int32 from the input stream port.
v16int32 | get_ss_v16int32 (bool &tlast)
| Read 512 bits as a v16int32 from the input stream port.
v128int4 | get_ss_v128int4 ()
| Read 512 bits as a v128int4 from the input stream port.
v128int4 | get_ss_v128int4 (bool &tlast)
| Read 512 bits as a v128int4 from the input stream port.
v128uint4 | get_ss_v128uint4 ()
| Read 512 bits as a v128uint4 from the input stream port.
v128uint4 | get_ss_v128uint4 (bool &tlast)
| Read 512 bits as a v128uint4 from the input stream port.
v64int8 | get_ss_v64int8 ()
| Read 512 bits as a v64int8 from the input stream port.
v64int8 | get_ss_v64int8 (bool &tlast)
| Read 512 bits as a v64int8 from the input stream port.
v64uint8 | get_ss_v64uint8 ()
| Read 512 bits as a v64uint8 from the input stream port.
v64uint8 | get_ss_v64uint8 (bool &tlast)
| Read 512 bits as a v64uint8 from the input stream port.
v32int16 | get_ss_v32int16 ()
| Read 512 bits as a v32int16 from the input stream port.
v32int16 | get_ss_v32int16 (bool &tlast)
| Read 512 bits as a v32int16 from the input stream port.
v32uint16 | get_ss_v32uint16 ()
| Read 512 bits as a v32uint16 from the input stream port.
v32uint16 | get_ss_v32uint16 (bool &tlast)
| Read 512 bits as a v32uint16 from the input stream port.
v16cint16 | get_ss_v16cint16 ()
| Read 512 bits as a v16cint16 from the input stream port.
v16cint16 | get_ss_v16cint16 (bool &tlast)
| Read 512 bits as a v16cint16 from the input stream port.
v16uint32 | get_ss_v16uint32 ()
| Read 512 bits as a v16uint32 from the input stream port.
v16uint32 | get_ss_v16uint32 (bool &tlast)
| Read 512 bits as a v16uint32 from the input stream port.
v8cint32 | get_ss_v8cint32 ()
| Read 512 bits as a v8cint32 from the input stream port.
v8cint32 | get_ss_v8cint32 (bool &tlast)
| Read 512 bits as a v8cint32 from the input stream port.
v8cfloat | get_ss_v8cfloat ()
| Read 512 bits as a v8cfloat from the input stream port.
v8cfloat | get_ss_v8cfloat (bool &tlast)
| Read 512 bits as a v8cfloat from the input stream port.
v16cbfloat16 | get_ss_v16cbfloat16 ()
| Read 512 bits as a v16cbfloat16 from the input stream port.
v16cbfloat16 | get_ss_v16cbfloat16 (bool &tlast)
| Read 512 bits as a v16cbfloat16 from the input stream port.
v32bfloat16 | get_ss_v32bfloat16 ()
| Read 512 bits as a v32bfloat16 from the input stream port.
v32bfloat16 | get_ss_v32bfloat16 (bool &tlast)
| Read 512 bits as a v32bfloat16 from the input stream port.
v32float16 | get_ss_v32float16 ()
| Read 512 bits as a v32float16 from the input stream port.
v32float16 | get_ss_v32float16 (bool &tlast)
| Read 512 bits as a v32float16 from the input stream port.
v16float | get_ss_v16float ()
| Read 512 bits as a v16float from the input stream port.
v16float | get_ss_v16float (bool &tlast)
| Read 512 bits as a v16float from the input stream port.

## Read 1024-bit vector from 32-bit streams
v32int32 | get_ss_v32int32 ()
| Read 1024 bits as a v32int32 from the input stream port.
v32int32 | get_ss_v32int32 (bool &tlast)
| Read 1024 bits as a v32int32 from the input stream port.
v256int4 | get_ss_v256int4 ()
| Read 1024 bits as a v256int4 from the input stream port.
v256int4 | get_ss_v256int4 (bool &tlast)
| Read 1024 bits as a v256int4 from the input stream port.
v256uint4 | get_ss_v256uint4 ()
| Read 1024 bits as a v256uint4 from the input stream port.
v256uint4 | get_ss_v256uint4 (bool &tlast)
| Read 1024 bits as a v256uint4 from the input stream port.
v128int8 | get_ss_v128int8 ()
| Read 1024 bits as a v128int8 from the input stream port.
v128int8 | get_ss_v128int8 (bool &tlast)
| Read 1024 bits as a v128int8 from the input stream port.
v128uint8 | get_ss_v128uint8 ()
| Read 1024 bits as a v128uint8 from the input stream port.
v128uint8 | get_ss_v128uint8 (bool &tlast)
| Read 1024 bits as a v128uint8 from the input stream port.
v64int16 | get_ss_v64int16 ()
| Read 1024 bits as a v64int16 from the input stream port.
v64int16 | get_ss_v64int16 (bool &tlast)
| Read 1024 bits as a v64int16 from the input stream port.
v64uint16 | get_ss_v64uint16 ()
| Read 1024 bits as a v64uint16 from the input stream port.
v64uint16 | get_ss_v64uint16 (bool &tlast)
| Read 1024 bits as a v64uint16 from the input stream port.
v32cint16 | get_ss_v32cint16 ()
| Read 1024 bits as a v32cint16 from the input stream port.
v32cint16 | get_ss_v32cint16 (bool &tlast)
| Read 1024 bits as a v32cint16 from the input stream port.
v32uint32 | get_ss_v32uint32 ()
| Read 1024 bits as a v32uint32 from the input stream port.
v32uint32 | get_ss_v32uint32 (bool &tlast)
| Read 1024 bits as a v32uint32 from the input stream port.
v16cint32 | get_ss_v16cint32 ()
| Read 1024 bits as a v16cint32 from the input stream port.
v16cint32 | get_ss_v16cint32 (bool &tlast)
| Read 1024 bits as a v16cint32 from the input stream port.
v16cfloat | get_ss_v16cfloat ()
| Read 1024 bits as a v16cfloat from the input stream port.
v16cfloat | get_ss_v16cfloat (bool &tlast)
| Read 1024 bits as a v16cfloat from the input stream port.
v32cbfloat16 | get_ss_v32cbfloat16 ()
| Read 1024 bits as a v32cbfloat16 from the input stream port.
v32cbfloat16 | get_ss_v32cbfloat16 (bool &tlast)
| Read 1024 bits as a v32cbfloat16 from the input stream port.
v64bfloat16 | get_ss_v64bfloat16 ()
| Read 1024 bits as a v64bfloat16 from the input stream port.
v64bfloat16 | get_ss_v64bfloat16 (bool &tlast)
| Read 1024 bits as a v64bfloat16 from the input stream port.
v64float16 | get_ss_v64float16 ()
| Read 1024 bits as a v64float16 from the input stream port.
v64float16 | get_ss_v64float16 (bool &tlast)
| Read 1024 bits as a v64float16 from the input stream port.
v32float | get_ss_v32float ()
| Read 1024 bits as a v32float from the input stream port.
v32float | get_ss_v32float (bool &tlast)
| Read 1024 bits as a v32float from the input stream port.

## Detailed Description

## Function Documentation

## ◆ get_ss() [1/2]

int get_ss | ( |  | ) |

Read a 32-bit value to the input stream port.

## ◆ get_ss() [2/2]

int get_ss | ( | bool & | tlast | ) |

Read a 32-bit value to the input stream port.

Parameters

  tlast | Last word in a packet and the default is false.

## ◆ get_ss_cint16() [1/2]

cint16 get_ss_cint16 | ( |  | ) |

Read a 32-bit value to the input stream port.

## ◆ get_ss_cint16() [2/2]

cint16 get_ss_cint16 | ( | bool & | tlast | ) |

Read a 32-bit value to the input stream port.

Parameters

  tlast | Last word in a packet and the default is false.

## ◆ get_ss_float() [1/2]

float get_ss_float | ( |  | ) |

Read a 32-bit value to the input stream port.

## ◆ get_ss_float() [2/2]

float get_ss_float | ( | bool & | tlast | ) |

Read a 32-bit value to the input stream port.

Parameters

  tlast | Last word in a packet and the default is false.

## ◆ get_ss_int() [1/2]

int get_ss_int | ( |  | ) |

Read a 32-bit value to the input stream port.

## ◆ get_ss_int() [2/2]

int get_ss_int | ( | bool & | tlast | ) |

Read a 32-bit value to the input stream port.

Parameters

  tlast | Last word in a packet and the default is false.

## ◆ get_ss_nb() [1/2]

int get_ss_nb | ( | bool & | success | ) |

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.

## ◆ get_ss_nb() [2/2]

int get_ss_nb | ( | bool & | success,
|  | bool & | tlast )

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.
  tlast | Last word in a packet and the default is false.

## ◆ get_ss_nb_cint16() [1/2]

cint16 get_ss_nb_cint16 | ( | bool & | success | ) |

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.

## ◆ get_ss_nb_cint16() [2/2]

cint16 get_ss_nb_cint16 | ( | bool & | success,
|  | bool & | tlast )

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.
  tlast | Last word in a packet and the default is false.

## ◆ get_ss_nb_float() [1/2]

float get_ss_nb_float | ( | bool & | success | ) |

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.

## ◆ get_ss_nb_float() [2/2]

float get_ss_nb_float | ( | bool & | success,
|  | bool & | tlast )

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.
  tlast | Last word in a packet and the default is false.

## ◆ get_ss_nb_int() [1/2]

int get_ss_nb_int | ( | bool & | success | ) |

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.

## ◆ get_ss_nb_int() [2/2]

int get_ss_nb_int | ( | bool & | success,
|  | bool & | tlast )

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.
  tlast | Last word in a packet and the default is false.

## ◆ get_ss_nb_uint() [1/2]

unsigned int get_ss_nb_uint | ( | bool & | success | ) |

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.

## ◆ get_ss_nb_uint() [2/2]

unsigned int get_ss_nb_uint | ( | bool & | success,
|  | bool & | tlast )

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.
  tlast | Last word in a packet and the default is false.

## ◆ get_ss_nb_v2bfloat16() [1/2]

v2bfloat16 get_ss_nb_v2bfloat16 | ( | bool & | success | ) |

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.

## ◆ get_ss_nb_v2bfloat16() [2/2]

v2bfloat16 get_ss_nb_v2bfloat16 | ( | bool & | success,
|  | bool & | tlast )

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.
  tlast | Last word in a packet and the default is false.

## ◆ get_ss_nb_v2float16() [1/2]

v2float16 get_ss_nb_v2float16 | ( | bool & | success | ) |

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.

## ◆ get_ss_nb_v2float16() [2/2]

v2float16 get_ss_nb_v2float16 | ( | bool & | success,
|  | bool & | tlast )

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.
  tlast | Last word in a packet and the default is false.

## ◆ get_ss_nb_v2int16() [1/2]

v2int16 get_ss_nb_v2int16 | ( | bool & | success | ) |

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.

## ◆ get_ss_nb_v2int16() [2/2]

v2int16 get_ss_nb_v2int16 | ( | bool & | success,
|  | bool & | tlast )

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.
  tlast | Last word in a packet and the default is false.

## ◆ get_ss_nb_v2uint16() [1/2]

v2uint16 get_ss_nb_v2uint16 | ( | bool & | success | ) |

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.

## ◆ get_ss_nb_v2uint16() [2/2]

v2uint16 get_ss_nb_v2uint16 | ( | bool & | success,
|  | bool & | tlast )

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.
  tlast | Last word in a packet and the default is false.

## ◆ get_ss_nb_v4int8() [1/2]

v4int8 get_ss_nb_v4int8 | ( | bool & | success | ) |

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.

## ◆ get_ss_nb_v4int8() [2/2]

v4int8 get_ss_nb_v4int8 | ( | bool & | success,
|  | bool & | tlast )

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.
  tlast | Last word in a packet and the default is false.

## ◆ get_ss_nb_v4uint8() [1/2]

v4uint8 get_ss_nb_v4uint8 | ( | bool & | success | ) |

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.

## ◆ get_ss_nb_v4uint8() [2/2]

v4uint8 get_ss_nb_v4uint8 | ( | bool & | success,
|  | bool & | tlast )

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.
  tlast | Last word in a packet and the default is false.

## ◆ get_ss_nb_v8int4() [1/2]

v8int4 get_ss_nb_v8int4 | ( | bool & | success | ) |

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.

## ◆ get_ss_nb_v8int4() [2/2]

v8int4 get_ss_nb_v8int4 | ( | bool & | success,
|  | bool & | tlast )

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.
  tlast | Last word in a packet and the default is false.

## ◆ get_ss_nb_v8uint4() [1/2]

v8uint4 get_ss_nb_v8uint4 | ( | bool & | success | ) |

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.

## ◆ get_ss_nb_v8uint4() [2/2]

v8uint4 get_ss_nb_v8uint4 | ( | bool & | success,
|  | bool & | tlast )

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.
  tlast | Last word in a packet and the default is false.

## ◆ get_ss_uint() [1/2]

unsigned int get_ss_uint | ( |  | ) |

Read a 32-bit value to the input stream port.

## ◆ get_ss_uint() [2/2]

unsigned int get_ss_uint | ( | bool & | tlast | ) |

Read a 32-bit value to the input stream port.

Parameters

  tlast | Last word in a packet and the default is false.

## ◆ get_ss_v128int4() [1/2]

v128int4 get_ss_v128int4 | ( |  | ) |

Read 512 bits as a v128int4 from the input stream port.

## ◆ get_ss_v128int4() [2/2]

v128int4 get_ss_v128int4 | ( | bool & | tlast | ) |

Read 512 bits as a v128int4 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v128int8() [1/2]

v128int8 get_ss_v128int8 | ( |  | ) |

Read 1024 bits as a v128int8 from the input stream port.

## ◆ get_ss_v128int8() [2/2]

v128int8 get_ss_v128int8 | ( | bool & | tlast | ) |

Read 1024 bits as a v128int8 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v128uint4() [1/2]

v128uint4 get_ss_v128uint4 | ( |  | ) |

Read 512 bits as a v128uint4 from the input stream port.

## ◆ get_ss_v128uint4() [2/2]

v128uint4 get_ss_v128uint4 | ( | bool & | tlast | ) |

Read 512 bits as a v128uint4 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v128uint8() [1/2]

v128uint8 get_ss_v128uint8 | ( |  | ) |

Read 1024 bits as a v128uint8 from the input stream port.

## ◆ get_ss_v128uint8() [2/2]

v128uint8 get_ss_v128uint8 | ( | bool & | tlast | ) |

Read 1024 bits as a v128uint8 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v16bfloat16() [1/2]

v16bfloat16 get_ss_v16bfloat16 | ( |  | ) |

Read 256 bits as a v16bfloat16 from the input stream port.

## ◆ get_ss_v16bfloat16() [2/2]

v16bfloat16 get_ss_v16bfloat16 | ( | bool & | tlast | ) |

Read 256 bits as a v16bfloat16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v16cbfloat16() [1/2]

v16cbfloat16 get_ss_v16cbfloat16 | ( |  | ) |

Read 512 bits as a v16cbfloat16 from the input stream port.

## ◆ get_ss_v16cbfloat16() [2/2]

v16cbfloat16 get_ss_v16cbfloat16 | ( | bool & | tlast | ) |

Read 512 bits as a v16cbfloat16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v16cfloat() [1/2]

v16cfloat get_ss_v16cfloat | ( |  | ) |

Read 1024 bits as a v16cfloat from the input stream port.

## ◆ get_ss_v16cfloat() [2/2]

v16cfloat get_ss_v16cfloat | ( | bool & | tlast | ) |

Read 1024 bits as a v16cfloat from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v16cint16() [1/2]

v16cint16 get_ss_v16cint16 | ( |  | ) |

Read 512 bits as a v16cint16 from the input stream port.

## ◆ get_ss_v16cint16() [2/2]

v16cint16 get_ss_v16cint16 | ( | bool & | tlast | ) |

Read 512 bits as a v16cint16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v16cint32() [1/2]

v16cint32 get_ss_v16cint32 | ( |  | ) |

Read 1024 bits as a v16cint32 from the input stream port.

## ◆ get_ss_v16cint32() [2/2]

v16cint32 get_ss_v16cint32 | ( | bool & | tlast | ) |

Read 1024 bits as a v16cint32 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v16float() [1/2]

v16float get_ss_v16float | ( |  | ) |

Read 512 bits as a v16float from the input stream port.

## ◆ get_ss_v16float() [2/2]

v16float get_ss_v16float | ( | bool & | tlast | ) |

Read 512 bits as a v16float from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v16float16() [1/2]

v16float16 get_ss_v16float16 | ( |  | ) |

Read 256 bits as a v16float16 from the input stream port.

## ◆ get_ss_v16float16() [2/2]

v16float16 get_ss_v16float16 | ( | bool & | tlast | ) |

Read 256 bits as a v16float16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v16int16() [1/2]

v16int16 get_ss_v16int16 | ( |  | ) |

Read 256 bits as a v16int16 from the input stream port.

## ◆ get_ss_v16int16() [2/2]

v16int16 get_ss_v16int16 | ( | bool & | tlast | ) |

Read 256 bits as a v16int16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v16int32() [1/2]

v16int32 get_ss_v16int32 | ( |  | ) |

Read 512 bits as a v16int32 from the input stream port.

## ◆ get_ss_v16int32() [2/2]

v16int32 get_ss_v16int32 | ( | bool & | tlast | ) |

Read 512 bits as a v16int32 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v16int8() [1/2]

v16int8 get_ss_v16int8 | ( |  | ) |

Read 128 bits as a v16int8 from the input stream port.

## ◆ get_ss_v16int8() [2/2]

v16int8 get_ss_v16int8 | ( | bool & | tlast | ) |

Read 128 bits as a v16int8 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v16uint16() [1/2]

v16uint16 get_ss_v16uint16 | ( |  | ) |

Read 256 bits as a v16uint16 from the input stream port.

## ◆ get_ss_v16uint16() [2/2]

v16uint16 get_ss_v16uint16 | ( | bool & | tlast | ) |

Read 256 bits as a v16uint16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v16uint32() [1/2]

v16uint32 get_ss_v16uint32 | ( |  | ) |

Read 512 bits as a v16uint32 from the input stream port.

## ◆ get_ss_v16uint32() [2/2]

v16uint32 get_ss_v16uint32 | ( | bool & | tlast | ) |

Read 512 bits as a v16uint32 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v16uint8() [1/2]

v16uint8 get_ss_v16uint8 | ( |  | ) |

Read 128 bits as a v16uint8 from the input stream port.

## ◆ get_ss_v16uint8() [2/2]

v16uint8 get_ss_v16uint8 | ( | bool & | tlast | ) |

Read 128 bits as a v16uint8 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v256int4() [1/2]

v256int4 get_ss_v256int4 | ( |  | ) |

Read 1024 bits as a v256int4 from the input stream port.

## ◆ get_ss_v256int4() [2/2]

v256int4 get_ss_v256int4 | ( | bool & | tlast | ) |

Read 1024 bits as a v256int4 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v256uint4() [1/2]

v256uint4 get_ss_v256uint4 | ( |  | ) |

Read 1024 bits as a v256uint4 from the input stream port.

## ◆ get_ss_v256uint4() [2/2]

v256uint4 get_ss_v256uint4 | ( | bool & | tlast | ) |

Read 1024 bits as a v256uint4 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v2bfloat16() [1/2]

v2bfloat16 get_ss_v2bfloat16 | ( |  | ) |

Read a 32-bit value to the input stream port.

## ◆ get_ss_v2bfloat16() [2/2]

v2bfloat16 get_ss_v2bfloat16 | ( | bool & | tlast | ) |

Read a 32-bit value to the input stream port.

Parameters

  tlast | Last word in a packet and the default is false.

## ◆ get_ss_v2cfloat() [1/2]

v2cfloat get_ss_v2cfloat | ( |  | ) |

Read 128 bits as a v2cfloat from the input stream port.

## ◆ get_ss_v2cfloat() [2/2]

v2cfloat get_ss_v2cfloat | ( | bool & | tlast | ) |

Read 128 bits as a v2cfloat from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v2cint32() [1/2]

v2cint32 get_ss_v2cint32 | ( |  | ) |

Read 128 bits as a v2cint32 from the input stream port.

## ◆ get_ss_v2cint32() [2/2]

v2cint32 get_ss_v2cint32 | ( | bool & | tlast | ) |

Read 128 bits as a v2cint32 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v2float16() [1/2]

v2float16 get_ss_v2float16 | ( |  | ) |

Read a 32-bit value to the input stream port.

## ◆ get_ss_v2float16() [2/2]

v2float16 get_ss_v2float16 | ( | bool & | tlast | ) |

Read a 32-bit value to the input stream port.

Parameters

  tlast | Last word in a packet and the default is false.

## ◆ get_ss_v2int16() [1/2]

v2int16 get_ss_v2int16 | ( |  | ) |

Read a 32-bit value to the input stream port.

## ◆ get_ss_v2int16() [2/2]

v2int16 get_ss_v2int16 | ( | bool & | tlast | ) |

Read a 32-bit value to the input stream port.

Parameters

  tlast | Last word in a packet and the default is false.

## ◆ get_ss_v2uint16() [1/2]

v2uint16 get_ss_v2uint16 | ( |  | ) |

Read a 32-bit value to the input stream port.

## ◆ get_ss_v2uint16() [2/2]

v2uint16 get_ss_v2uint16 | ( | bool & | tlast | ) |

Read a 32-bit value to the input stream port.

Parameters

  tlast | Last word in a packet and the default is false.

## ◆ get_ss_v32bfloat16() [1/2]

v32bfloat16 get_ss_v32bfloat16 | ( |  | ) |

Read 512 bits as a v32bfloat16 from the input stream port.

## ◆ get_ss_v32bfloat16() [2/2]

v32bfloat16 get_ss_v32bfloat16 | ( | bool & | tlast | ) |

Read 512 bits as a v32bfloat16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v32cbfloat16() [1/2]

v32cbfloat16 get_ss_v32cbfloat16 | ( |  | ) |

Read 1024 bits as a v32cbfloat16 from the input stream port.

## ◆ get_ss_v32cbfloat16() [2/2]

v32cbfloat16 get_ss_v32cbfloat16 | ( | bool & | tlast | ) |

Read 1024 bits as a v32cbfloat16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v32cint16() [1/2]

v32cint16 get_ss_v32cint16 | ( |  | ) |

Read 1024 bits as a v32cint16 from the input stream port.

## ◆ get_ss_v32cint16() [2/2]

v32cint16 get_ss_v32cint16 | ( | bool & | tlast | ) |

Read 1024 bits as a v32cint16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v32float() [1/2]

v32float get_ss_v32float | ( |  | ) |

Read 1024 bits as a v32float from the input stream port.

## ◆ get_ss_v32float() [2/2]

v32float get_ss_v32float | ( | bool & | tlast | ) |

Read 1024 bits as a v32float from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v32float16() [1/2]

v32float16 get_ss_v32float16 | ( |  | ) |

Read 512 bits as a v32float16 from the input stream port.

## ◆ get_ss_v32float16() [2/2]

v32float16 get_ss_v32float16 | ( | bool & | tlast | ) |

Read 512 bits as a v32float16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v32int16() [1/2]

v32int16 get_ss_v32int16 | ( |  | ) |

Read 512 bits as a v32int16 from the input stream port.

## ◆ get_ss_v32int16() [2/2]

v32int16 get_ss_v32int16 | ( | bool & | tlast | ) |

Read 512 bits as a v32int16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v32int32() [1/2]

v32int32 get_ss_v32int32 | ( |  | ) |

Read 1024 bits as a v32int32 from the input stream port.

## ◆ get_ss_v32int32() [2/2]

v32int32 get_ss_v32int32 | ( | bool & | tlast | ) |

Read 1024 bits as a v32int32 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v32int4() [1/2]

v32int4 get_ss_v32int4 | ( |  | ) |

Read 128 bits as a v32int4 from the input stream port.

## ◆ get_ss_v32int4() [2/2]

v32int4 get_ss_v32int4 | ( | bool & | tlast | ) |

Read 128 bits as a v32int4 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v32int8() [1/2]

v32int8 get_ss_v32int8 | ( |  | ) |

Read 256 bits as a v32int8 from the input stream port.

## ◆ get_ss_v32int8() [2/2]

v32int8 get_ss_v32int8 | ( | bool & | tlast | ) |

Read 256 bits as a v32int8 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v32uint16() [1/2]

v32uint16 get_ss_v32uint16 | ( |  | ) |

Read 512 bits as a v32uint16 from the input stream port.

## ◆ get_ss_v32uint16() [2/2]

v32uint16 get_ss_v32uint16 | ( | bool & | tlast | ) |

Read 512 bits as a v32uint16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v32uint32() [1/2]

v32uint32 get_ss_v32uint32 | ( |  | ) |

Read 1024 bits as a v32uint32 from the input stream port.

## ◆ get_ss_v32uint32() [2/2]

v32uint32 get_ss_v32uint32 | ( | bool & | tlast | ) |

Read 1024 bits as a v32uint32 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v32uint4() [1/2]

v32uint4 get_ss_v32uint4 | ( |  | ) |

Read 128 bits as a v32uint4 from the input stream port.

## ◆ get_ss_v32uint4() [2/2]

v32uint4 get_ss_v32uint4 | ( | bool & | tlast | ) |

Read 128 bits as a v32uint4 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v32uint8() [1/2]

v32uint8 get_ss_v32uint8 | ( |  | ) |

Read 256 bits as a v32uint8 from the input stream port.

## ◆ get_ss_v32uint8() [2/2]

v32uint8 get_ss_v32uint8 | ( | bool & | tlast | ) |

Read 256 bits as a v32uint8 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v4cbfloat16() [1/2]

v4cbfloat16 get_ss_v4cbfloat16 | ( |  | ) |

Read 128 bits as a v4cbfloat16 from the input stream port.

## ◆ get_ss_v4cbfloat16() [2/2]

v4cbfloat16 get_ss_v4cbfloat16 | ( | bool & | tlast | ) |

Read 128 bits as a v4cbfloat16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v4cfloat() [1/2]

v4cfloat get_ss_v4cfloat | ( |  | ) |

Read 256 bits as a v4cfloat from the input stream port.

## ◆ get_ss_v4cfloat() [2/2]

v4cfloat get_ss_v4cfloat | ( | bool & | tlast | ) |

Read 256 bits as a v4cfloat from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v4cint16() [1/2]

v4cint16 get_ss_v4cint16 | ( |  | ) |

Read 128 bits as a v4cint16 from the input stream port.

## ◆ get_ss_v4cint16() [2/2]

v4cint16 get_ss_v4cint16 | ( | bool & | tlast | ) |

Read 128 bits as a v4cint16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v4cint32() [1/2]

v4cint32 get_ss_v4cint32 | ( |  | ) |

Read 256 bits as a v4cint32 from the input stream port.

## ◆ get_ss_v4cint32() [2/2]

v4cint32 get_ss_v4cint32 | ( | bool & | tlast | ) |

Read 256 bits as a v4cint32 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v4float() [1/2]

v4float get_ss_v4float | ( |  | ) |

Read 128 bits as a v4float from the input stream port.

## ◆ get_ss_v4float() [2/2]

v4float get_ss_v4float | ( | bool & | tlast | ) |

Read 128 bits as a v4float from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v4int32() [1/2]

v4int32 get_ss_v4int32 | ( |  | ) |

Read a 128-bit vector from the input stream port.

## ◆ get_ss_v4int32() [2/2]

v4int32 get_ss_v4int32 | ( | bool & | tlast | ) |

Read 128 bits as a v4int32 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v4int8() [1/2]

v4int8 get_ss_v4int8 | ( |  | ) |

Read a 32-bit value to the input stream port.

## ◆ get_ss_v4int8() [2/2]

v4int8 get_ss_v4int8 | ( | bool & | tlast | ) |

Read a 32-bit value to the input stream port.

Parameters

  tlast | Last word in a packet and the default is false.

## ◆ get_ss_v4uint32() [1/2]

v4uint32 get_ss_v4uint32 | ( |  | ) |

Read 128 bits as a v4uint32 from the input stream port.

## ◆ get_ss_v4uint32() [2/2]

v4uint32 get_ss_v4uint32 | ( | bool & | tlast | ) |

Read 128 bits as a v4uint32 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v4uint8() [1/2]

v4uint8 get_ss_v4uint8 | ( |  | ) |

Read a 32-bit value to the input stream port.

## ◆ get_ss_v4uint8() [2/2]

v4uint8 get_ss_v4uint8 | ( | bool & | tlast | ) |

Read a 32-bit value to the input stream port.

Parameters

  tlast | Last word in a packet and the default is false.

## ◆ get_ss_v64bfloat16() [1/2]

v64bfloat16 get_ss_v64bfloat16 | ( |  | ) |

Read 1024 bits as a v64bfloat16 from the input stream port.

## ◆ get_ss_v64bfloat16() [2/2]

v64bfloat16 get_ss_v64bfloat16 | ( | bool & | tlast | ) |

Read 1024 bits as a v64bfloat16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v64float16() [1/2]

v64float16 get_ss_v64float16 | ( |  | ) |

Read 1024 bits as a v64float16 from the input stream port.

## ◆ get_ss_v64float16() [2/2]

v64float16 get_ss_v64float16 | ( | bool & | tlast | ) |

Read 1024 bits as a v64float16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v64int16() [1/2]

v64int16 get_ss_v64int16 | ( |  | ) |

Read 1024 bits as a v64int16 from the input stream port.

## ◆ get_ss_v64int16() [2/2]

v64int16 get_ss_v64int16 | ( | bool & | tlast | ) |

Read 1024 bits as a v64int16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v64int4() [1/2]

v64int4 get_ss_v64int4 | ( |  | ) |

Read 256 bits as a v64int4 from the input stream port.

## ◆ get_ss_v64int4() [2/2]

v64int4 get_ss_v64int4 | ( | bool & | tlast | ) |

Read 256 bits as a v64int4 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v64int8() [1/2]

v64int8 get_ss_v64int8 | ( |  | ) |

Read 512 bits as a v64int8 from the input stream port.

## ◆ get_ss_v64int8() [2/2]

v64int8 get_ss_v64int8 | ( | bool & | tlast | ) |

Read 512 bits as a v64int8 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v64uint16() [1/2]

v64uint16 get_ss_v64uint16 | ( |  | ) |

Read 1024 bits as a v64uint16 from the input stream port.

## ◆ get_ss_v64uint16() [2/2]

v64uint16 get_ss_v64uint16 | ( | bool & | tlast | ) |

Read 1024 bits as a v64uint16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v64uint4() [1/2]

v64uint4 get_ss_v64uint4 | ( |  | ) |

Read 256 bits as a v64uint4 from the input stream port.

## ◆ get_ss_v64uint4() [2/2]

v64uint4 get_ss_v64uint4 | ( | bool & | tlast | ) |

Read 256 bits as a v64uint4 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v64uint8() [1/2]

v64uint8 get_ss_v64uint8 | ( |  | ) |

Read 512 bits as a v64uint8 from the input stream port.

## ◆ get_ss_v64uint8() [2/2]

v64uint8 get_ss_v64uint8 | ( | bool & | tlast | ) |

Read 512 bits as a v64uint8 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v8bfloat16() [1/2]

v8bfloat16 get_ss_v8bfloat16 | ( |  | ) |

Read 128 bits as a v8bfloat16 from the input stream port.

## ◆ get_ss_v8bfloat16() [2/2]

v8bfloat16 get_ss_v8bfloat16 | ( | bool & | tlast | ) |

Read 128 bits as a v8bfloat16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v8cbfloat16() [1/2]

v8cbfloat16 get_ss_v8cbfloat16 | ( |  | ) |

Read 256 bits as a v8cbfloat16 from the input stream port.

## ◆ get_ss_v8cbfloat16() [2/2]

v8cbfloat16 get_ss_v8cbfloat16 | ( | bool & | tlast | ) |

Read 256 bits as a v8cbfloat16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v8cfloat() [1/2]

v8cfloat get_ss_v8cfloat | ( |  | ) |

Read 512 bits as a v8cfloat from the input stream port.

## ◆ get_ss_v8cfloat() [2/2]

v8cfloat get_ss_v8cfloat | ( | bool & | tlast | ) |

Read 512 bits as a v8cfloat from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v8cint16() [1/2]

v8cint16 get_ss_v8cint16 | ( |  | ) |

Read 256 bits as a v8cint16 from the input stream port.

## ◆ get_ss_v8cint16() [2/2]

v8cint16 get_ss_v8cint16 | ( | bool & | tlast | ) |

Read 256 bits as a v8cint16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v8cint32() [1/2]

v8cint32 get_ss_v8cint32 | ( |  | ) |

Read 512 bits as a v8cint32 from the input stream port.

## ◆ get_ss_v8cint32() [2/2]

v8cint32 get_ss_v8cint32 | ( | bool & | tlast | ) |

Read 512 bits as a v8cint32 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v8float() [1/2]

v8float get_ss_v8float | ( |  | ) |

Read 256 bits as a v8float from the input stream port.

## ◆ get_ss_v8float() [2/2]

v8float get_ss_v8float | ( | bool & | tlast | ) |

Read 256 bits as a v8float from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v8float16() [1/2]

v8float16 get_ss_v8float16 | ( |  | ) |

Read 128 bits as a v8float16 from the input stream port.

## ◆ get_ss_v8float16() [2/2]

v8float16 get_ss_v8float16 | ( | bool & | tlast | ) |

Read 128 bits as a v8float16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v8int16() [1/2]

v8int16 get_ss_v8int16 | ( |  | ) |

Read 128 bits as a v8int16 from the input stream port.

## ◆ get_ss_v8int16() [2/2]

v8int16 get_ss_v8int16 | ( | bool & | tlast | ) |

Read 128 bits as a v8int16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v8int32() [1/2]

v8int32 get_ss_v8int32 | ( |  | ) |

Read 256 bits as a v8int32 from the input stream port.

## ◆ get_ss_v8int32() [2/2]

v8int32 get_ss_v8int32 | ( | bool & | tlast | ) |

Read 256 bits as a v8int32 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v8int4() [1/2]

v8int4 get_ss_v8int4 | ( |  | ) |

Read a 32-bit value to the input stream port.

## ◆ get_ss_v8int4() [2/2]

v8int4 get_ss_v8int4 | ( | bool & | tlast | ) |

Read a 32-bit value to the input stream port.

Parameters

  tlast | Last word in a packet and the default is false.

## ◆ get_ss_v8uint16() [1/2]

v8uint16 get_ss_v8uint16 | ( |  | ) |

Read 128 bits as a v8uint16 from the input stream port.

## ◆ get_ss_v8uint16() [2/2]

v8uint16 get_ss_v8uint16 | ( | bool & | tlast | ) |

Read 128 bits as a v8uint16 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v8uint32() [1/2]

v8uint32 get_ss_v8uint32 | ( |  | ) |

Read 256 bits as a v8uint32 from the input stream port.

## ◆ get_ss_v8uint32() [2/2]

v8uint32 get_ss_v8uint32 | ( | bool & | tlast | ) |

Read 256 bits as a v8uint32 from the input stream port.

Parameters

  tlast | Last word in a packet and the default is false

## ◆ get_ss_v8uint4() [1/2]

v8uint4 get_ss_v8uint4 | ( |  | ) |

Read a 32-bit value to the input stream port.

## ◆ get_ss_v8uint4() [2/2]

v8uint4 get_ss_v8uint4 | ( | bool & | tlast | ) |

Read a 32-bit value to the input stream port.

Parameters

  tlast | Last word in a packet and the default is false.

## ◆ getf_ss() [1/2]

float getf_ss | ( |  | ) |

Read a 32-bit value to the input stream port.

## ◆ getf_ss() [2/2]

float getf_ss | ( | bool & | tlast | ) |

Read a 32-bit value to the input stream port.

Parameters

  tlast | Last word in a packet and the default is false.

## ◆ getf_ss_nb() [1/2]

float getf_ss_nb | ( | bool & | success | ) |

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.

## ◆ getf_ss_nb() [2/2]

float getf_ss_nb | ( | bool & | success,
|  | bool & | tlast )

Read a 32-bit value to the input stream port. Non-blocking read.

Parameters

  success | Success of transfer.
  tlast | Last word in a packet and the default is false.